Name:           toxcore 
Version:        0.1.11
Release:        4%{?dist}
Summary:        Peer to peer instant messenger

# GPLv3+: main library
# BSD: toxencryptsave/crypto_pwhash_scryptsalsa208sha256
# ISC: toxcore/crypto_core_mem.c
License:        GPLv3+ and BSD and ISC
URL:            https://github.com/TokTok/c-toxcore
Source0:        %{url}/archive/v%{version}/%{name}-%{version}.tar.gz

Patch0:         toxcore-0.1.10-fix_obsolete_m4s.patch

BuildRequires:  gcc
BuildRequires:  libtool
BuildRequires:  pkgconfig(libsodium)
BuildRequires:  pkgconfig(opus)
BuildRequires:  pkgconfig(vpx)


%description
Tox is a peer to peer (serverless) instant messenger aimed at making 
security and privacy easy to obtain for regular users. It uses NaCl 
for its encryption and authentication.


%package devel
Summary:        Development files for Toxcore 
Requires:       %{name}%{?_isa} = %{version}-%{release}


%description devel
Tox is a peer to peer (serverless) instant messenger aimed at making
security and privacy easy to obtain for regular users. It uses NaCl
for its encryption and authentication.

This package contains Toxcore development files.


%prep
%autosetup -p1 -n c-%{name}-%{version}


%build
autoreconf -vif
%configure --disable-static
%make_build


%install
%make_install
find %{buildroot} -name '*.la' -delete


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%license COPYING
%doc README.md CHANGELOG.md
%{_libdir}/libtoxav.so.*
%{_libdir}/libtoxcore.so.*
%{_libdir}/libtoxdns.so.*
%{_libdir}/libtoxencryptsave.so.*


%files devel
%license COPYING
%{_includedir}/tox/
%{_libdir}/libtoxav.so
%{_libdir}/libtoxcore.so
%{_libdir}/libtoxdns.so
%{_libdir}/libtoxencryptsave.so
%{_libdir}/pkgconfig/libtoxav.pc
%{_libdir}/pkgconfig/libtoxcore.pc


%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.11-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sun Jan 28 2018 Robert-André Mauchin <zebob.m@gmail.com> 0.1.11-3
- actually rebuild for new libvpx

* Fri Jan 26 2018 Tom Callaway <spot@fedoraproject.org> 0.1.11-2
- rebuild for new libvpx

* Wed Jan 10 2018 Robert-André Mauchin <zebob.m@gmail.com> 0.1.11-1
- Upstream release 0.1.11

* Tue Oct 31 2017 Robert-André Mauchin <zebob.m@gmail.com> 0.1.10-2
- Clean-up the SPEC

* Thu Oct 12 2017 Robert-André Mauchin <zebob.m@gmail.com> 0.1.10-1
- New upstream release 0.1.10

* Fri Aug 18 2017 Robert-André Mauchin <zebob.m@gmail.com> 0.1.9-2
- Fix Requires dependencies

* Sat Jul 29 2017 Robert-André Mauchin <zebob.m@gmail.com> 0.1.9-1
- First RPM release
